Skip to Content
✨ Ail 智能布局(HTML型PPT)已经可以上线开放平台 立即对接🎁 HTML 转 PPT文件开放能力现已上线 立即体验
API 参考积分与记录查询所有 PPT 列表

查询所有 PPT 列表

接口信息

接口作用

查询当前 Api-Key 账号在指定时间范围内生成的全部 PPT。

请求示例

curl --request POST \ --url https://open.docmee.cn/api/ppt/listAllPptx \ --header "Content-Type: application/json" \ --header "Api-Key: YOUR_API_KEY" \ --data '{ "page": 1, "size": 10, "id": null, "uid": null, "templateId": null, "startDate": "2024-01-01 00:00:00", "endDate": "2025-01-01 23:59:59", "desc": true }'

请求参数

{ "page": 1, "size": 10, "id": null, "uid": null, "templateId": null, "startDate": "2024-01-01 00:00:00", "endDate": "2025-01-01 23:59:59", "desc": true }

请求字段说明

参数名类型必填示例说明
pagenumber1分页查询参数。
sizenumber10分页查询参数。
idstringnull业务对象 ID。
uidstringnull第三方用户标识,用于隔离数据。
templateIdstringnull模板 ID。
startDatestring2024-01-01 00:00:00时间范围字段。
endDatestring2025-01-01 23:59:59时间范围字段。
descbooleantrue字段用途请结合接口场景传入。

说明

  • size 最大不超过 100
  • 适合做管理后台、审计看板或按账号汇总查询

响应示例

{ "code": 0, "message": "操作成功", "data": { "id": "VALUE" } }

响应字段说明

字段名类型示例说明
codenumber0通用响应状态码,0 表示成功。
messagestring操作成功服务端返回的结果说明。
dataobject{...}业务数据对象。
Last updated on

© 2023-2026 文多多 AiPPT